Skip to main content

candidates/list

Return a filtered list of candidates.

This endpoint is accessed via the OAuth REST gateway using a method query parameter.

Request

Endpoint

GET https://v3.idibu.com/c/oauth/v1

Query Parameters

NameTypeRequired?Notes
methodstringYesMust be candidates/list
vacancy_idintegerNoReturn only candidates associated with the specific Vacancy
statusstringNoFilter candidates by their Status name (e.g. New, Rejected, Shortlist).
Will only work when used with vacancy_id (see above).

Examples

Minimal (no filters):

curl -sS \
-H "Authorization: Bearer <access_token>" \
-H "Accept: application/json" \
"https://v3.idibu.com/c/oauth/v1?method=candidates/list"

Filter by vacancy:

curl -sS \
-H "Authorization: Bearer <access_token>" \
-H "Accept: application/json" \
"https://v3.idibu.com/c/oauth/v1?method=candidates/list&vacancy_id=12345"

Filter by status:

curl -sS \
-H "Authorization: Bearer <access_token>" \
-H "Accept: application/json" \
"https://v3.idibu.com/c/oauth/v1?method=candidates/list&vacancy_id=12345&status=New"

Response

Returns a JSON payload containing the candidate list matching the provided filters.

{
"status": "success",
"result": [
{
"id": "12345",
"name": "Test Candidate",
"email": "test.candidate@idibu.com",
"phone": "+1 234 567890",
"phone_mobile": "+1 098 7654321",
"date": "2026-03-20 06:46:08",
"portal": {
"id": "1234",
"name": "idibu Test Portal"
},
"type": "person"
}
]
}